CC        = bcc32c
LINKER    = ilink32

INCLUDE = -I"C:\BCC102\include"
LIB     = -L"C:\BCC102\lib\win32c\debug"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = atnd.exe
OBJS   = guide.obj line.obj numbered.obj ringbuffer.obj standardinputline.obj standard_input.obj atndmain.obj 

ALL : $(TARGET)

guide.obj: Guide.cpp
	$(CC) $(INCLUDE) -c Guide.cpp
line.obj: Line.cpp
	$(CC) $(INCLUDE) -c Line.cpp
numbered.obj: Numbered.cpp
	$(CC) $(INCLUDE) -c Numbered.cpp
ringbuffer.obj: RingBuffer.cpp
	$(CC) $(INCLUDE) -c RingBuffer.cpp
standardinputline.obj: StandardInputLine.cpp
	$(CC) $(INCLUDE) -c StandardInputLine.cpp
standard_input.obj: Standard_input.cpp
	$(CC) $(INCLUDE) -c Standard_input.cpp
atndmain.obj: atndMain.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c atndMain.cpp

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
