CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = keyun.exe
OBJS   = arrange.obj compare.obj guide.obj keyunMain.obj runlength.obj
RESFILES = keyunResource.res

ALL : $(TARGET)

arrange.obj: arrange.cpp
	$(CC) $(INCLUDE) -c arrange.cpp
compare.obj: compare.cpp
	$(CC) $(INCLUDE) -c compare.cpp
guide.obj: Guide.cpp
	$(CC) $(INCLUDE) -c Guide.cpp
keyunmain.obj: keyunMain.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c keyunMain.cpp
runlength.obj: runLength.cpp
	$(CC) $(INCLUDE) -c runLength.cpp
keyunResource.res: keyunResource.rc
	$(RC) $(RFLAGS) keyunResource.rc

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
