CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap
RFLAGS = -32

TARGET = narfi.exe
OBJS   = counting.obj destroyrebuild.obj dividing.obj extract.obj guide.obj line.obj narfiMain.obj numbered.obj skipping.obj standard_io.obj
RESFILES = narfiResource.res

ALL : $(TARGET)

counting.obj: counting.cpp
	$(CC) $(INCLUDE) -c counting.cpp
destroyrebuild.obj: DestroyRebuild.cpp
	$(CC) $(INCLUDE) -c DestroyRebuild.cpp
dividing.obj: Dividing.cpp
	$(CC) $(INCLUDE) -c Dividing.cpp
extract.obj: extract.cpp
	$(CC) $(INCLUDE) -c extract.cpp
guide.obj: Guide.cpp
	$(CC) $(INCLUDE) -c Guide.cpp
line.obj: Line.cpp
	$(CC) $(INCLUDE) -c Line.cpp
narfimain.obj: narfiMain.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c narfiMain.cpp
narfiResource.res: narfiResource.rc
	$(RC) $(RFLAGS) narfiResource.rc
numbered.obj: Numbered.cpp
	$(CC) $(INCLUDE) -c Numbered.cpp
skipping.obj: skipping.cpp
	$(CC) $(INCLUDE) -c skipping.cpp
standard_io.obj: standard_io.cpp
	$(CC) $(INCLUDE) -c standard_io.cpp

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
	del *.res
