#ifndef NUMBERED_H
#define NUMBERED_H

#define FINAL 2147483647 // 0x7FFFFFFF
//            1234567890
#define FINAL_SIZE_1 11 // 10 + 1
#define TRIMMING 1
#include <iostream>
#include <sstream>
#include <stdio.h>
#include <stdlib.h>
#include <string>

class Numbered {
    bool trimmed;
    char *p;
    char *pt;
    int final, length, non_number_length, span, trimmed_sequence_length;
    char *f;
    char *ft;
    char *s;
    char *st;

public:
    ~Numbered();
    Numbered(char *a);
    Numbered(char *a, int final_1);
    Numbered(std::string & argument);
    Numbered(std::string & argument, int final_1);
    std::string parameter();
    bool trimmed_sequence();
    int number();
    int subnumber();
};

#endif // NUMBERED_H
