CC        = bcc32
LINKER    = ilink32
RC        = brcc32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap
RFLAGS = -32

TARGET = sjisEUC.exe
OBJS   = guide.obj dividing.obj path.obj regulate.obj skipping.obj sparsepopulationeuc.obj standard_input.obj sjiseucmain.obj 
RESFILES = sjisEUCResource.res

ALL : $(TARGET)

guide.obj: Guide.cpp
	$(CC) $(INCLUDE) -c Guide.cpp
dividing.obj: Dividing.cpp
	$(CC) $(INCLUDE) -c Dividing.cpp
path.obj: path.cpp
	$(CC) $(INCLUDE) -c path.cpp
regulate.obj: Regulate.cpp
	$(CC) $(INCLUDE) -c Regulate.cpp
sjisEUCResource.res: sjisEUCResource.rc
	$(RC) $(RFLAGS) sjisEUCResource.rc
skipping.obj: skipping.cpp
	$(CC) $(INCLUDE) -c skipping.cpp
sparsepopulationeuc.obj: SparsePopulationEUC.cpp
	$(CC) $(INCLUDE) -c SparsePopulationEUC.cpp
standard_input.obj: Standard_input.cpp
	$(CC) $(INCLUDE) -c Standard_input.cpp
sjiseucmain.obj: sjisEUCmain.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c sjisEUCmain.cpp

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
	del *.res
