#include "atnd.h"

bool Standard_input::standard_input_output() {
    using namespace std;

    bool neighborhood = false;
    bool written = false;
    int lineNumber = 0;
    int sum = 0;
    LINE_NUMBER_FUNCTION lineBegins = nonnumber;
    string *p = new string("");
    string line = EMPTY;
    prepareRing();

    if(number) {
        lineBegins = lineBeginsWithNumber;
    }

    if(after > 0) {
        int count = 0;
        while( cin.getline(buffer, BUFFER_SIZE) ) {
            p = lineBegins(p, buffer, combo);
            ring.pop_front();
            ring.push_back(*p);

            if(neighborhood) {
                count += 1;
                if(count >= after) {
                    showRing();
                    prepareRing();
                    written = true;
                    count = 0;
                    neighborhood = false;
                }

            }

            lineNumber += 1;
            if(lineNumber == point) {
                neighborhood = true;
                sum += 1;
            }

        }

    } else {
        while( cin.getline(buffer, BUFFER_SIZE) ) {
            p = lineBegins(p, buffer, combo);
            ring.pop_front();
            ring.push_back(*p);

            lineNumber += 1;
            if(lineNumber == point) {
                neighborhood = true;
                sum += 1;
                showRing();
                prepareRing();
                written = true;
            }

        }

    }

    if(neighborhood) {
        if(written) {
            ;
        } else {
            showRing();
            written = true;
        }

    } else {
        neighborhood = (sum > 0) ? true : false;
    }

    return neighborhood;
}

void Standard_input::prepareRing() {
    using namespace std;

    ring.clear();
    for(int i = 0; i < ring_count; ++i) {
        ring.push_back(BELL);
    }

}

void Standard_input::showRing() {
    using namespace std;

    string s;
    for(RING::iterator i = ring.begin(); i != ring.end(); ++i) {
        s = *i;
        if(s == BELL) {
            continue;
        } else {
            cout << s << endl;
        }

    }

}
