CC        = bcc32c
LINKER    = ilink32

INCLUDE = -I"C:\BCC102\include"
LIB     = -L"C:\BCC102\lib\win32c\debug"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = dayu.exe
OBJS   = dividing.obj editing.obj guide.obj path.obj regulate.obj skipping.obj sparsepopulationsjis.obj standard_input.obj dayumain.obj 
RESFILES = dayuResource.res

ALL : $(TARGET)

dayumain.obj: dayuMain.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c dayuMain.cpp
dayuResource.res: dayuResource.rc
	$(RC) $(RFLAGS) dayuResource.rc
dividing.obj: Dividing.cpp
	$(CC) $(INCLUDE) -c Dividing.cpp
editing.obj: Editing.cpp
	$(CC) $(INCLUDE) -c Editing.cpp
guide.obj: Guide.cpp
	$(CC) $(INCLUDE) -c Guide.cpp
path.obj: path.cpp
	$(CC) $(INCLUDE) -c path.cpp
regulate.obj: Regulate.cpp
	$(CC) $(INCLUDE) -c Regulate.cpp
skipping.obj: skipping.cpp
	$(CC) $(INCLUDE) -c skipping.cpp
sparsepopulationsjis.obj: SparsePopulationSJIS.cpp
	$(CC) $(INCLUDE) -c SparsePopulationSJIS.cpp
standard_input.obj: Standard_input.cpp
	$(CC) $(INCLUDE) -c Standard_input.cpp

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
