CC        = bcc32c
LINKER    = ilink32

INCLUDE = -I"C:\BCC102\include"
LIB     = -L"C:\BCC102\lib\win32c\debug"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = diyo.exe
OBJS   = path.obj dividing.obj editing.obj guide.obj sparsepopulationeuc.obj diyomain.obj 
RESFILES = diyoResource.res

ALL : $(TARGET)

path.obj: path.cpp
	$(CC) $(INCLUDE) -c path.cpp
dividing.obj: Dividing.cpp
	$(CC) $(INCLUDE) -c Dividing.cpp
diyomain.obj: diyoMain.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c diyoMain.cpp
editing.obj: Editing.cpp
	$(CC) $(INCLUDE) -c Editing.cpp
guide.obj: Guide.cpp
	$(CC) $(INCLUDE) -c Guide.cpp
sparsepopulationeuc.obj: SparsePopulationEUC.cpp
	$(CC) $(INCLUDE) -c SparsePopulationEUC.cpp

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
