CC        = bcc32c
LINKER    = ilink32

INCLUDE = -I"C:\BCC102\include"
LIB     = -L"C:\BCC102\lib\win32c\debug"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap

TARGET = hanzen.exe
OBJS   = counting.obj destroyrebuild.obj dividing.obj guide.obj hanzenmain.obj line.obj numbered.obj path.obj skipping.obj sparsekana.obj standard_io.obj zenkaku.obj

ALL : $(TARGET)

counting.obj: counting.cpp
	$(CC) $(INCLUDE) -c counting.cpp
destroyrebuild.obj: DestroyRebuild.cpp
	$(CC) $(INCLUDE) -c DestroyRebuild.cpp
dividing.obj: Dividing.cpp
	$(CC) $(INCLUDE) -c Dividing.cpp
guide.obj: Guide.cpp
	$(CC) $(INCLUDE) -c Guide.cpp
hanzenmain.obj: hanzenMain.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c hanzenMain.cpp
line.obj: Line.cpp
	$(CC) $(INCLUDE) -c Line.cpp
numbered.obj: Numbered.cpp
	$(CC) $(INCLUDE) -c Numbered.cpp
path.obj: path.cpp
	$(CC) $(INCLUDE) -c path.cpp
skipping.obj: skipping.cpp
	$(CC) $(INCLUDE) -c skipping.cpp
sparsekana.obj: SparseKana.cpp
	$(CC) $(INCLUDE) -c SparseKana.cpp
standard_io.obj: standard_io.cpp
	$(CC) $(INCLUDE) -c standard_io.cpp
zenkaku.obj: zenkaku.cpp
	$(CC) $(INCLUDE) -c zenkaku.cpp

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)
clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
