CC        = bcc32
LINKER    = ilink32

INCLUDE = -I"C:\borland\bcc55\Include"
LIB     = /L"C:\borland\bcc55\Lib"

CFLAGS = -O2 -w 
LFLAGS = /Tpe /c /ap
RFLAGS = -32

TARGET = rufeol.exe
OBJS   = guide.obj numbered.obj removefromline.obj rufeolmain.obj 

ALL : $(TARGET)

guide.obj: Guide.cpp
	$(CC) $(INCLUDE) -c Guide.cpp
numbered.obj: Numbered.cpp
	$(CC) $(INCLUDE) -c Numbered.cpp
removefromline.obj: RemoveFromLine.cpp
	$(CC) $(INCLUDE) -c RemoveFromLine.cpp
rufeolmain.obj: rufeolMain.cpp
	$(CC) $(CFLAGS) $(INCLUDE) -c rufeolMain.cpp

$(TARGET): $(OBJS) $(RESFILES)
	$(LINKER) $(LFLAGS) $(LIB) $(OBJS) c0x32.obj,$(TARGET),,cw32.lib import32.lib,,$(RESFILES)

clean:
	del *.obj
	del *.tds
	del *.il*
	del *.map
