#include "sutai.h"

static char zero[SMALL_BUFFER];

char *boolLine(int lineNumber, bool b) {
    switch(lineNumber) {
    case 4: // add_ID
        if(b) {
            strcpy(zero, "-#");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    case 5: // case_sensitive
        if(b) {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        } else {
            strcpy(zero, "-f");
        }

        break;
    case 6: // report_ID
        if(b) {
            strcpy(zero, "-!");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    case 9: // carriage_return
        if(b) {
            strcpy(zero, "-CRLF");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    case 10: // descending
        if(b) {
            strcpy(zero, "-r");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    case 11: // loud
        if(b) {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        } else {
            strcpy(zero, "-s");
        }

        break;
    case 12: // remove_temporary_binary_file
        if(b) {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        } else {
            strcpy(zero, "-y");
        }

        break;
    case 13: // unique_summary
        if(b) {
            strcpy(zero, "-u");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    case 14: // reduce_binary
        if(b) {
            strcpy(zero, "-~");
        } else {
            zero[SMALL_BUFFER_1] = '\0';
            strncpy(zero, "0", SMALL_BUFFER_1);
        }

        break;
    default:
        break;
    }

    return zero;
}

void producingText(const char *parameters_text, char *file_name, char *new_name, int line_count, int manager, int record_size, bool add_ID, bool case_sensitive, bool report_ID, bool carriage_return, bool descending, bool loud, bool remove_temporary_binary_file, bool unique_summary, bool reduce_binary) {
    using namespace std;

    ofstream file(parameters_text);
    file << line_count << "\t\t" << "lines" << endl; // Line-1
    file << manager << "\t\t" << "decimals" << endl; // Line-2
    file << record_size << "\t\t" << "bytes" << endl; // Line-3

    file << boolLine(4, add_ID) << "\t\t" << "-#" << endl; // Line-4
    file << boolLine(5, case_sensitive) << "\t\t" << "-f" << endl; // Line-5
    file << boolLine(6, report_ID) << "\t\t" << "-!" << endl; // Line-6

    file << file_name << "\t" << "binary.tmp" << endl;  // Line-7
    file << new_name << "\t" << "keyun.txt" << endl; // Line-8

    file << boolLine(9, carriage_return) << "\t\t" << "-CRLF" << endl; // Line-9
    file << boolLine(10, descending) << "\t\t" << "-r" << endl; // Line-10
    file << boolLine(11, loud)  << "\t\t" << "-s" << endl; // Line-11
    file << boolLine(12, remove_temporary_binary_file) << "\t\t" << "-y" << endl; // Line-12
    file << boolLine(13, unique_summary) << "\t\t" << "-u" << endl; // Line-13
    file << boolLine(14, reduce_binary) << "\t\t" << "-~" << endl; // Line-14
}
